Skip to main content
`Ctrl`+`K`

# SVDTRLanczosSetGBidiag

Sets the bidiagonalization choice to use in the GSVD `SVDTRLANCZOS` solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosSetGBidiag(SVD svd,SVDTRLanczosGBidiag bidiag)

Logically Collective

## Input Parameters

- svd - the singular value solver context

- bidiag - the bidiagonalization choice, see `SVDTRLanczosGBidiag` for possible values

## Options Database Key

- -svd_trlanczos_gbidiag <bidiag> - sets the bidiagonalization choice, either `single`, `upper` or `lower`

## See Also

SVD: Singular Value Decomposition, `SVDTRLANCZOS`, `SVDTRLanczosGetGBidiag()`, `SVDTRLanczosGBidiag`

## Level

advanced

## Location

src/svd/impls/trlanczos/trlanczos.c

## Implementations

SVDTRLanczosSetGBidiag_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages